
EclaireXL - Bug #31

HDMI Audio generate high pitch noise (Core 8)

06/01/2017 11:08 PM - ndary

Status: Closed Start date: 06/01/2017

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0:00 hour

Target version:    

Description

The Audio of the HDMI port generate high pitch sound..

you can hear it when TAPE LOADS, or though disk driver SIO sound or when steaming video through SIDE2 CART.

This pitch noise is not heard on the speakers connected to Audio out port

Nir

Related issues:

Related to Bug #6: HDMI audio poor quality Closed 04/04/2017

History

#1 - 06/02/2017 07:08 AM - foft

The HDMI audio has some issues, I have another bug to find this.

#2 - 06/02/2017 07:09 AM - foft

- Related to Bug #6: HDMI audio poor quality added

#3 - 06/02/2017 07:12 AM - foft

Did it on core 7 btw? If so I guess its aliasing from the adc noise? I need a low pass filter on input to the HDMI component I think.

#4 - 06/03/2017 12:29 AM - ndary

it happens with CORE 8 & 9 as well

#5 - 06/03/2017 07:32 AM - foft

So you are saying it happens with v7? OK that rules out the adc then.

#6 - 06/03/2017 07:33 AM - foft

HDMI audio to me seems very broken... Even just the 'bubbling' boot sound comes out wrong in my opinion.

#7 - 06/02/2018 10:15 PM - foft

HDMI audio is sounding better now in general (signed/unsigned). This high pitched noise is still heard in some cases though, so it needs further

investigation.

#8 - 06/05/2018 09:07 PM - foft

Added a low pass filter and this is gone, to be released in v23.

#9 - 06/05/2018 09:07 PM - foft

- Status changed from New to Closed
